package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GroupStatusEnum;
import com.ym.mec.biz.dal.enums.PracticeGroupType;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(practice_group):
 */
public class PracticeGroup {

	/**  */
	private Long id;
	
	/**  */
	private String name;
	
	/**  */
	private Integer subjectId;
	
	private PracticeGroupType type;
	
	/**  */
	private Integer userId;

	private Integer studentId;
	
	/**  */
	private Integer singleClassMinutes;
	
	/**  */
	private Integer organId;

	private Date firstCourseTime;

	private Date secondCourseTime;
	
	/**  */
	private java.util.Date coursesStartDate;

	private String coursesStartDates;
	
	/**  */
	private java.util.Date coursesExpireDate;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private String memo;

	private Integer buyMonths;

	private Integer drillTimesOnWeek;

	private String drillTimesJson;

	private GroupStatusEnum groupStatus;

	private Long beRenewGroupId;

	private Integer educationalTeacherId;

	public String getCoursesStartDates() {
		return coursesStartDates;
	}

	public void setCoursesStartDates(String coursesStartDates) {
		this.coursesStartDates = coursesStartDates;
	}

	public Integer getEducationalTeacherId() {
		return educationalTeacherId;
	}

	public void setEducationalTeacherId(Integer educationalTeacherId) {
		this.educationalTeacherId = educationalTeacherId;
	}

	public Long getBeRenewGroupId() {
		return beRenewGroupId;
	}

	public void setBeRenewGroupId(Long beRenewGroupId) {
		this.beRenewGroupId = beRenewGroupId;
	}

	public GroupStatusEnum getGroupStatus() {
		return groupStatus;
	}

	public void setGroupStatus(GroupStatusEnum groupStatus) {
		this.groupStatus = groupStatus;
	}

	public Integer getBuyMonths() {
		return buyMonths;
	}

	public void setBuyMonths(Integer buyMonths) {
		this.buyMonths = buyMonths;
	}

	public Integer getDrillTimesOnWeek() {
		return drillTimesOnWeek;
	}

	public void setDrillTimesOnWeek(Integer drillTimesOnWeek) {
		this.drillTimesOnWeek = drillTimesOnWeek;
	}

	public String getDrillTimesJson() {
		return drillTimesJson;
	}

	public void setDrillTimesJson(String drillTimesJson) {
		this.drillTimesJson = drillTimesJson;
	}

	public Integer getStudentId() {
		return studentId;
	}

	public void setStudentId(Integer studentId) {
		this.studentId = studentId;
	}

	public Date getFirstCourseTime() {
		return firstCourseTime;
	}

	public void setFirstCourseTime(Date firstCourseTime) {
		this.firstCourseTime = firstCourseTime;
	}

	public Date getSecondCourseTime() {
		return secondCourseTime;
	}

	public void setSecondCourseTime(Date secondCourseTime) {
		this.secondCourseTime = secondCourseTime;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public PracticeGroupType getType() {
		return type;
	}

	public void setType(PracticeGroupType type) {
		this.type = type;
	}

	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setSingleClassMinutes(Integer singleClassMinutes){
		this.singleClassMinutes = singleClassMinutes;
	}
	
	public Integer getSingleClassMinutes(){
		return this.singleClassMinutes;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setCoursesStartDate(java.util.Date coursesStartDate){
		this.coursesStartDate = coursesStartDate;
	}
	
	public java.util.Date getCoursesStartDate(){
		return this.coursesStartDate;
	}
			
	public void setCoursesExpireDate(java.util.Date coursesExpireDate){
		this.coursesExpireDate = coursesExpireDate;
	}
	
	public java.util.Date getCoursesExpireDate(){
		return this.coursesExpireDate;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
